Ogre::NedAllocImpl Class Reference
Memory

Non-templated utility class just to hide nedmalloc. More...

`#include <OgreMemoryNedAlloc.h>`

List of all members.

## Static Public Member Functions

static void * | allocBytes (size_t count, const char *file, int line, const char *func)
static void | deallocBytes (void *ptr)
static void * | allocBytesAligned (size_t align, size_t count, const char *file, int line, const char *func)
static void | deallocBytesAligned (size_t align, void *ptr)

## Detailed Description

Non-templated utility class just to hide nedmalloc.

Definition at line 44 of file OgreMemoryNedAlloc.h.

## Member Function Documentation

static void* Ogre::NedAllocImpl::allocBytes | ( | size_t | count,
|  | const char * | file,
|  | int | line,
|  | const char * | func
| ) |  | `[static]`

Referenced by Ogre::NedAllocPolicy::allocateBytes().

static void* Ogre::NedAllocImpl::allocBytesAligned | ( | size_t | align,
|  | size_t | count,
|  | const char * | file,
|  | int | line,
|  | const char * | func
| ) |  | `[static]`

Referenced by Ogre::NedAlignedAllocPolicy< Alignment >::allocateBytes().

static void Ogre::NedAllocImpl::deallocBytes | ( | void * | ptr | ) | `[static]`

Referenced by Ogre::NedAllocPolicy::deallocateBytes().

static void Ogre::NedAllocImpl::deallocBytesAligned | ( | size_t | align,
|  | void * | ptr
| ) |  | `[static]`

Referenced by Ogre::NedAlignedAllocPolicy< Alignment >::deallocateBytes().

The documentation for this class was generated from the following file:

- OgreMemoryNedAlloc.h

Copyright © 2012 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Sun Sep 2 2012 07:27:31